Bug 972719 - Review Request: nicstat - prints out network statistics for all network interface
Review Request: nicstat - prints out network statistics for all network inter...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 09:10 EDT by Tomasz Torcz
Modified: 2013-07-09 15:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: nicstat-1.92-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-26 21:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dougsland: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
changes to nicstat.spec (814 bytes, patch)
2013-06-12 05:40 EDT, Tomasz Torcz
no flags Details | Diff
changes to nicstat.spec (659 bytes, patch)
2013-06-13 10:13 EDT, Tomasz Torcz
no flags Details | Diff
changes in nicstat.spec (851 bytes, patch)
2013-06-16 14:27 EDT, Tomasz Torcz
no flags Details | Diff

  None (edit)
Description Tomasz Torcz 2013-06-10 09:10:57 EDT
Spec URL: http://ttorcz.fedorapeople.org/nicstat.spec
SRPM URL: http://ttorcz.fedorapeople.org/nicstat-1.92-1.fc18.src.rpm
Scratch : http://koji.fedoraproject.org/koji/taskinfo?taskID=5487158
Description: nicstat is a Solaris and Linux command-line that prints out network statistics for all network interface cards (NICs), including packets, kilobytes per second, average packet sizes and more.
It was developed by Tim Cook and Brendan Gregg, both formerly of Sun Microsystems.
Fedora Account System Username: ttorcz
Comment 1 Yaniv Bronhaim 2013-06-12 05:01:07 EDT
Hey,
1. Please remove redundant comment lines:
#BuildRequires:
#Requires:

2. The URL that specified in README.txt (http://blogs.sun.com/timc/entry/nicstat_the_solaris_and_linux) doesn't work

3. Just wondering why the initial version starts as 1.92-1
Comment 2 Tomasz Torcz 2013-06-12 05:40:47 EDT
Created attachment 760055 [details]
changes to nicstat.spec

Spec URL: http://ttorcz.fedorapeople.org/nicstat.spec
SRPM URL: http://ttorcz.fedorapeople.org/nicstat-1.92-2.fc18.src.rpm

1) corrected

2) indeed, proper URL is now https://blogs.oracle.com/timc/entry/nicstat_the_solaris_and_linux 
Should I patch the README? Or provide README.Fedora with new URL?

3) I just wasn't packaged previously. The utilitty itself is being developed since 2009.
Comment 3 Yaniv Bronhaim 2013-06-12 05:56:00 EDT
As part of 1.92-2 you should modify the README file. And if you already modify it you should also:
1. split the README and AUTHORS, it's more common. 
2. remove the .txt suffix (also from LICENSE.txt and ChangeLog.txt)
3. Make the spec URL fits the README URL.
Comment 4 Douglas Schilling Landgraf 2013-06-12 18:16:35 EDT
Hi,

(In reply to Yaniv Bronhaim from comment #3)
> As part of 1.92-2 you should modify the README file. And if you already
> modify it you should also:
> 1. split the README and AUTHORS, it's more common. 
> 2. remove the .txt suffix (also from LICENSE.txt and ChangeLog.txt)
> 3. Make the spec URL fits the README URL.

Yaniv thanks for your informal review and suggestions. 
Tomasz, all suggestions shared by Yaniv are not blockers but you can suggest/handle them with upstream developers, for example, opening a ticket/bugzilla and update your package again when they release a new version. My next comment in this bugzilla will be my review.

Cheers
Douglas
Comment 5 Douglas Schilling Landgraf 2013-06-12 18:48:18 EDT
Hi Tomasz,

(In reply to Tomasz Torcz from comment #0)
> Spec URL: http://ttorcz.fedorapeople.org/nicstat.spec
> SRPM URL: http://ttorcz.fedorapeople.org/nicstat-1.92-1.fc18.src.rpm
> Scratch : http://koji.fedoraproject.org/koji/taskinfo?taskID=5487158
> Description: nicstat is a Solaris and Linux command-line that prints out
> network statistics for all network interface cards (NICs), including
> packets, kilobytes per second, average packet sizes and more.
> It was developed by Tim Cook and Brendan Gregg, both formerly of Sun
> Microsystems.
> Fedora Account System Username: ttorcz

Rpmlint is sharing the message below: 
 W: invalid-url URL: http://nicstat.sourceforge.net HTTP Error 403: Forbidden
Note: You can check this warning message with fedora-review tool or manually using rpmlint against rpm/src.rpm):

Do you mind to give a new try with:
URL:            http://sourceforge.net/projects/%{name} 

After that your package should be good.

Thanks
Douglas
Comment 6 Tomasz Torcz 2013-06-13 05:50:03 EDT
Spec URL: http://ttorcz.fedorapeople.org/nicstat.spec
SRPM URL: http://ttorcz.fedorapeople.org/nicstat-1.92-3.fc18.src.rpm

That's little strange, URL works fine when opened manually in browser. Nevertheless, I've implemented you suggestion in -3. Thanks for looking!
Comment 7 Michael Schwendt 2013-06-13 06:45:03 EDT
https://fedoraproject.org/wiki/Packaging:ReviewGuidelines

| MUST: If (and only if) the source package includes the text of the
| license(s) in its own file, then that file, containing the text of
| the license(s) for the package must be included in %doc

=> %doc LICENSE.txt
Comment 8 Douglas Schilling Landgraf 2013-06-13 09:16:33 EDT
(In reply to Michael Schwendt from comment #7)
> https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
> 
> | MUST: If (and only if) the source package includes the text of the
> | license(s) in its own file, then that file, containing the text of
> | the license(s) for the package must be included in %doc
> 
> => %doc LICENSE.txt

Thanks Michael. Tomasz can you please handle that one before we continue the review? 

Cheers
Douglas
Comment 9 Tomasz Torcz 2013-06-13 10:13:51 EDT
Created attachment 760712 [details]
changes to nicstat.spec

LICENSE.txt included in -4

Spec: http://ttorcz.fedorapeople.org/nicstat.spec
SRPM: http://ttorcz.fedorapeople.org/nicstat-1.92-4.fc18.src.rpm
Comment 10 Douglas Schilling Landgraf 2013-06-15 22:38:13 EDT
Hello Tomasz, 

I have reviewed your package and it looks good, however before I approve it, I do believe it's not necessary to include into %description:

"It was developed by Tim Cook and Brendan Gregg, both formerly of Sun
Microsystems." 

We have the README.txt that shares already the authors.

Do you mind to send -5 version?

Thanks
Douglas
Comment 11 Tomasz Torcz 2013-06-16 14:27:01 EDT
Created attachment 761881 [details]
changes in nicstat.spec

Spec: http://ttorcz.fedorapeople.org/nicstat.spec
SRPM: http://ttorcz.fedorapeople.org/nicstat-1.92-5.fc18.src.rpm

Thank you, Douglas.
Comment 12 Douglas Schilling Landgraf 2013-06-16 23:00:46 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/fedora/972719-nicstat/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nicstat-1.92-4.fc18.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nicstat
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
nicstat (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
nicstat:
    nicstat
    nicstat(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/nicstat/nicstat-src-1.92.tar.gz :
  CHECKSUM(SHA256) this package     : 5b0cf9aa85296400deeeafbf1016b9a6df57e2b02b79480871184f8da32ff49e
  CHECKSUM(SHA256) upstream package : 5b0cf9aa85296400deeeafbf1016b9a6df57e2b02b79480871184f8da32ff49e


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 972719

Final status: APPROVED
Comment 13 Tomasz Torcz 2013-06-17 02:37:00 EDT
New Package SCM Request
=======================
Package Name: nicstat
Short Description: CLI utility that prints out network statistics for all network interface
Owners: ttorcz
Branches: f18 f19
Comment 14 Gwyn Ciesla 2013-06-17 08:26:28 EDT
Git done (by process-git-requests).
Comment 15 Fedora Update System 2013-06-17 09:02:45 EDT
nicstat-1.92-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nicstat-1.92-5.fc18
Comment 16 Fedora Update System 2013-06-17 09:05:20 EDT
nicstat-1.92-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nicstat-1.92-5.fc19
Comment 17 Fedora Update System 2013-06-17 13:01:23 EDT
nicstat-1.92-5.fc19 has been pushed to the Fedora 19 testing repository.
Comment 18 Fedora Update System 2013-06-26 21:58:09 EDT
nicstat-1.92-5.fc18 has been pushed to the Fedora 18 stable repository.
Comment 19 Fedora Update System 2013-06-29 14:28:17 EDT
nicstat-1.92-5.fc19 has been pushed to the Fedora 19 stable repository.
Comment 20 Fedora Update System 2013-07-09 15:51:42 EDT
owfs-2.9p1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/owfs-2.9p1-4.fc18

Note You need to log in before you can comment on or make changes to this bug.